Bug 1316299 - Ship AppStream metadata file
Summary: Ship AppStream metadata file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp-separate+
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Hanecak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-09 22:18 UTC by Jiri Eischmann
Modified: 2016-04-02 20:33 UTC (History)
2 users (show)

Fixed In Version: gimp-separate+-0.5.8-16.fc24 gimp-separate+-0.5.8-16.fc23 gimp-separate+-0.5.8-16.fc22 gimp-separate+-0.5.8-16.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-26 18:02:59 UTC
Type: Bug


Attachments (Terms of Use)
gimp-separate+.metainfo.xml (610 bytes, application/xml)
2016-03-09 22:18 UTC, Jiri Eischmann
no flags Details

Description Jiri Eischmann 2016-03-09 22:18:11 UTC
Created attachment 1134653 [details]
gimp-separate+.metainfo.xml

The package doesn't ship AppStream [1] metadata file, so it doesn't appear in GIMP profile in the default app catalog GNOME Software and is not easily discoverable and installable for users.

I've already filed a bug upstream [2] because it should be ideally included there since it's used across Linux distributions, but unless/until upstream ships it it should be included downstream as the packaging guidelines say [3].

I've created the file for you, see the attachment.

[1] http://www.freedesktop.org/software/appstream/docs/sect-Quickstart-Addons.html
[2] https://osdn.jp/ticket/browse.php?group_id=4063&tid=36126
[3] https://fedoraproject.org/wiki/Packaging:AppData

Comment 1 Fedora Update System 2016-03-16 19:46:08 UTC
gimp-separate+-0.5.8-16.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-748066c7be

Comment 2 Fedora Update System 2016-03-16 19:58:04 UTC
gimp-separate+-0.5.8-16.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d967f0435

Comment 3 Fedora Update System 2016-03-16 20:10:45 UTC
gimp-separate+-0.5.8-16.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-840e53a32a

Comment 4 Fedora Update System 2016-03-16 20:24:21 UTC
gimp-separate+-0.5.8-16.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c65bb65f5

Comment 5 Fedora Update System 2016-03-18 14:57:37 UTC
gimp-separate+-0.5.8-16.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c65bb65f5

Comment 6 Fedora Update System 2016-03-18 22:49:11 UTC
gimp-separate+-0.5.8-16.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-748066c7be

Comment 7 Fedora Update System 2016-03-18 23:55:43 UTC
gimp-separate+-0.5.8-16.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6d967f0435

Comment 8 Fedora Update System 2016-03-19 01:26:15 UTC
gimp-separate+-0.5.8-16.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-840e53a32a

Comment 9 Fedora Update System 2016-03-26 18:02:57 UTC
gimp-separate+-0.5.8-16.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-04-01 00:27:36 UTC
gimp-separate+-0.5.8-16.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-04-01 05:49:22 UTC
gimp-separate+-0.5.8-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-04-02 20:33:39 UTC
gimp-separate+-0.5.8-16.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.